"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const path_1 = tslib_1.__importDefault(require("path"));
exports.COLLECTION_PATH = 'collection.json';
exports.COLLECTION_CHECKPOINT = 'collection.ckpt.json';
exports.ASSETS_JSON_PATH = 'tuture-assets.json';
exports.ASSETS_JSON_CHECKPOINT = 'tuture-assets.ckpt.json';
exports.TUTURE_IGNORE_PATH = '.tutureignore';
// The workspace for storing tutorial-related data.
exports.TUTURE_ROOT = '.tuture';
// Directory which houses tutorial data on VCS.
exports.TUTURE_VCS_ROOT = '.tuture-committed';
exports.DIFF_PATH = path_1.default.join(exports.TUTURE_ROOT, 'diff.json');
// Editor path
exports.EDITOR_PATH = path_1.default.join(__dirname, 'editor');
exports.EDITOR_STATIC_PATH = path_1.default.join(exports.EDITOR_PATH, 'static');
exports.TUTURE_COMMIT_PREFIX = 'tuture:';
exports.IMAGE_HOSTING_URL = 'https://imgkr.com/api/files/upload';
// Branch for commiting tutorial content.
exports.TUTURE_BRANCH = 'tuture';
